Network Interfaces - Get Effective Route Table

Gets all route tables applied to a network interface.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkInterfaces/{networkInterfaceName}/effectiveRouteTable?api-version=2025-05-01

URI Parameters

Name In Required Type Description
networkInterfaceName
path True

string

The name of the network interface.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

EffectiveRouteListResult

Azure operation completed successfully.

202 Accepted

Resource operation accepted.

Headers

  • Location: string
  • Retry-After: integer
Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Show network interface effective route tables

Sample request

POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/networkInterfaces/nic1/effectiveRouteTable?api-version=2025-05-01

Sample response

{
  "value": [
    {
      "addressPrefix": [
        "172.20.2.0/24"
      ],
      "nextHopIpAddress": [],
      "nextHopType": "VnetLocal",
      "source": "Default",
      "state": "Active"
    },
    {
      "addressPrefix": [
        "0.0.0.0/0"
      ],
      "nextHopIpAddress": [],
      "nextHopType": "Internet",
      "source": "Default",
      "state": "Active"
    },
    {
      "addressPrefix": [
        "10.0.0.0/8"
      ],
      "nextHopIpAddress": [],
      "nextHopType": "None",
      "source": "Default",
      "state": "Active"
    },
    {
      "addressPrefix": [
        "100.64.0.0/10"
      ],
      "nextHopIpAddress": [],
      "nextHopType": "None",
      "source": "Default",
      "state": "Active"
    },
    {
      "addressPrefix": [
        "172.16.0.0/12"
      ],
      "nextHopIpAddress": [],
      "nextHopType": "None",
      "source": "Default",
      "state": "Active"
    },
    {
      "addressPrefix": [
        "192.168.0.0/16"
      ],
      "nextHopIpAddress": [],
      "nextHopType": "None",
      "source": "Default",
      "state": "Active"
    }
  ]
}
Location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/networkInterfaces/nic1/operationResults/00000000-0000-0000-0000-000000000000?api-version=2025-05-01

Definitions

Name Description
CloudError

An error response from the service.

CloudErrorBody

An error response from the service.

EffectiveRoute

Effective Route.

EffectiveRouteListResult

Response for list effective route API service call.

EffectiveRouteSource

Who created the route.

EffectiveRouteState

The value of effective route.

RouteNextHopType

The type of Azure hop the packet should be sent to.

CloudError

An error response from the service.

Name Type Description
error

CloudErrorBody

Cloud error body.

CloudErrorBody

An error response from the service.

Name Type Description
code

string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

details

CloudErrorBody[]

A list of additional details about the error.

message

string

A message describing the error, intended to be suitable for display in a user interface.

target

string

The target of the particular error. For example, the name of the property in error.

EffectiveRoute

Effective Route.

Name Type Description
addressPrefix

string[]

The address prefixes of the effective routes in CIDR notation.

disableBgpRoutePropagation

boolean

If true, on-premises routes are not propagated to the network interfaces in the subnet.

name

string

The name of the user defined route. This is optional.

nextHopIpAddress

string[]

The IP address of the next hop of the effective route.

nextHopType

RouteNextHopType

The type of Azure hop the packet should be sent to.

source

EffectiveRouteSource

Who created the route.

state

EffectiveRouteState

The value of effective route.

EffectiveRouteListResult

Response for list effective route API service call.

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

EffectiveRoute[]

The EffectiveRoute items on this page

EffectiveRouteSource

Who created the route.

Value Description
Unknown

Unknown

User

User

VirtualNetworkGateway

VirtualNetworkGateway

Default

Default

EffectiveRouteState

The value of effective route.

Value Description
Active

Active

Invalid

Invalid

RouteNextHopType

The type of Azure hop the packet should be sent to.

Value Description
VirtualNetworkGateway

VirtualNetworkGateway

VnetLocal

VnetLocal

Internet

Internet

VirtualAppliance

VirtualAppliance

None

No next hop type.